]> git.sur5r.net Git - bacula/rescue/commitdiff
Update
authorKern Sibbald <kern@sibbald.com>
Sat, 3 Jan 2009 15:44:18 +0000 (15:44 +0000)
committerKern Sibbald <kern@sibbald.com>
Sat, 3 Jan 2009 15:44:18 +0000 (15:44 +0000)
rescue/linux/usb/mount_iso [new file with mode: 0755]
rescue/linux/usb/mountiso [deleted file]
rescue/linux/usb/new_sqfs [deleted file]
rescue/linux/usb/unmount_iso [new file with mode: 0755]
rescue/linux/usb/unmountiso [deleted file]
rescue/linux/usb/unpack_initrd [new file with mode: 0755]
rescue/linux/usb/unpackinitrd [deleted file]
rescue/linux/usb/update_packages [new file with mode: 0644]
rescue/linux/usb/update_sqfs [new file with mode: 0755]
rescue/linux/usb/updatepackages [deleted file]

diff --git a/rescue/linux/usb/mount_iso b/rescue/linux/usb/mount_iso
new file mode 100755 (executable)
index 0000000..7bce790
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+#
+. ./config
+
+mkdir -p cdrom
+mount -o loop -t iso9660 $ISO_IMAGE cdrom
diff --git a/rescue/linux/usb/mountiso b/rescue/linux/usb/mountiso
deleted file mode 100755 (executable)
index 7bce790..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-#
-. ./config
-
-mkdir -p cdrom
-mount -o loop -t iso9660 $ISO_IMAGE cdrom
diff --git a/rescue/linux/usb/new_sqfs b/rescue/linux/usb/new_sqfs
deleted file mode 100755 (executable)
index 8cf2836..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/sh
-#
-#  Put a new squashfs on the disk image
-#
-
-. ./config
-
-
-if [ ! -d ${DISK_IMAGE}/casper ] ; then
-  echo "Cannot find ${DISK_IMAGE}/casper directory -- possibly not detarred"
-  exit 1
-fi
-
-echo "Removing old squashfs"
-rm -f ${DISK_IMAGE}/casper/filesystem.squashfs ${DISK_IMAGE}/casper/filesystem.manifest 
-rm -f ${DISK_IMAGE}/casper/filesystem.manifest-desktop
-
-echo "Copying new squashfs"
-cp filesystem.manifest ${DISK_IMAGE}/casper/
-cp filesystem.manifest ${DISK_IMAGE}/casper/filesystem.manifest-desktop
-cp filesystem.squashfs ${DISK_IMAGE}/casper/
-sync
diff --git a/rescue/linux/usb/unmount_iso b/rescue/linux/usb/unmount_iso
new file mode 100755 (executable)
index 0000000..18686f7
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+
+umount cdrom
+if [ $? -eq 0 ] ; then
+  rmdir cdrom
+fi
diff --git a/rescue/linux/usb/unmountiso b/rescue/linux/usb/unmountiso
deleted file mode 100755 (executable)
index 18686f7..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-#
-
-umount cdrom
-if [ $? -eq 0 ] ; then
-  rmdir cdrom
-fi
diff --git a/rescue/linux/usb/unpack_initrd b/rescue/linux/usb/unpack_initrd
new file mode 100755 (executable)
index 0000000..4874fa3
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+rm -rf initrd
+mkdir -p initrd
+cd initrd
+echo "Unpacking initrd.gz into initrd ..."
+gzip -dc ../cdrom/casper/initrd.gz | cpio -i
diff --git a/rescue/linux/usb/unpackinitrd b/rescue/linux/usb/unpackinitrd
deleted file mode 100755 (executable)
index 4874fa3..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-#
-rm -rf initrd
-mkdir -p initrd
-cd initrd
-echo "Unpacking initrd.gz into initrd ..."
-gzip -dc ../cdrom/casper/initrd.gz | cpio -i
diff --git a/rescue/linux/usb/update_packages b/rescue/linux/usb/update_packages
new file mode 100644 (file)
index 0000000..4f51aed
--- /dev/null
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Update squashfs -- assumes you start with a Hardy 8.04.1 desktop,
+#   but it should work even if you have already updated it.
+#
+
+chroot sqfs /bin/sh
+mount -t proc none /proc/
+mount -t sysfs non /sys/
+export HOME=/root
+
+# remove packages
+apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep language-pack | egrep -v '\-en'`
+apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep openoffice\.org-`
+apt-get remove --purge amarok dictionaries-common
+
+cat >/etc/apt/sources.list <<EOF
+deb http://archive.ubuntu.com/ubuntu/ hardy main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy universe
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates universe
+deb http://archive.ubuntu.com/ubuntu/ hardy multiverse
+deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy-security universe
+deb http://archive.ubuntu.com/ubuntu/ hardy-security multiverse
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates multiverse
+EOF
+apt-get update
+apt-get upgrade
+
+# Add new packages
+apt-get install openssh-server subversion kdetoys kicker-applets kgpg gftp \
+  firefox sg3-utils
+apt-get install flashplugin-nonfree aircrack-ng g++ nvidia-glx-new gfxboot \
+  syslinux mtools
+
+# Add heldback packages
+apt-get install bind9-host dnsutils libbind9-30 libisccc30 libisccfg30 \
+  linux-generic linux-headers-generic linux-image-generic \
+  linux-restricted-modules-generic ssl-cert
+
+# Remove old kernel
+apt-get remove linux-headers-2.6.24-19 linux-headers-2.6.24-19-generic \
+  linux-image-2.6.24-19-generic linux-restricted-modules-2.6.24-19-generic \
+  linux-restricted-modules-2.6.24-22-generic linux-ubuntu-modules-2.6.24-19-generic
+
+cd /
+dpkg-query -W --showformat='${Package} ${Version}\n' >filesystem.manifest
+
+apt-get clean
+rm -rf /tmp/*
+rm -f /etc/hosts /etc/resolv.conf
+umount /proc/
+umount /sys/
+exit
+cp sqfs/filesystem.manifest .
+rm -f sqfs/filsystem.manifest
diff --git a/rescue/linux/usb/update_sqfs b/rescue/linux/usb/update_sqfs
new file mode 100755 (executable)
index 0000000..8cf2836
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+#  Put a new squashfs on the disk image
+#
+
+. ./config
+
+
+if [ ! -d ${DISK_IMAGE}/casper ] ; then
+  echo "Cannot find ${DISK_IMAGE}/casper directory -- possibly not detarred"
+  exit 1
+fi
+
+echo "Removing old squashfs"
+rm -f ${DISK_IMAGE}/casper/filesystem.squashfs ${DISK_IMAGE}/casper/filesystem.manifest 
+rm -f ${DISK_IMAGE}/casper/filesystem.manifest-desktop
+
+echo "Copying new squashfs"
+cp filesystem.manifest ${DISK_IMAGE}/casper/
+cp filesystem.manifest ${DISK_IMAGE}/casper/filesystem.manifest-desktop
+cp filesystem.squashfs ${DISK_IMAGE}/casper/
+sync
diff --git a/rescue/linux/usb/updatepackages b/rescue/linux/usb/updatepackages
deleted file mode 100644 (file)
index 4f51aed..0000000
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/sh
-#
-# Update squashfs -- assumes you start with a Hardy 8.04.1 desktop,
-#   but it should work even if you have already updated it.
-#
-
-chroot sqfs /bin/sh
-mount -t proc none /proc/
-mount -t sysfs non /sys/
-export HOME=/root
-
-# remove packages
-apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep language-pack | egrep -v '\-en'`
-apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep openoffice\.org-`
-apt-get remove --purge amarok dictionaries-common
-
-cat >/etc/apt/sources.list <<EOF
-deb http://archive.ubuntu.com/ubuntu/ hardy main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy universe
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates universe
-deb http://archive.ubuntu.com/ubuntu/ hardy multiverse
-deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy-security universe
-deb http://archive.ubuntu.com/ubuntu/ hardy-security multiverse
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates multiverse
-EOF
-apt-get update
-apt-get upgrade
-
-# Add new packages
-apt-get install openssh-server subversion kdetoys kicker-applets kgpg gftp \
-  firefox sg3-utils
-apt-get install flashplugin-nonfree aircrack-ng g++ nvidia-glx-new gfxboot \
-  syslinux mtools
-
-# Add heldback packages
-apt-get install bind9-host dnsutils libbind9-30 libisccc30 libisccfg30 \
-  linux-generic linux-headers-generic linux-image-generic \
-  linux-restricted-modules-generic ssl-cert
-
-# Remove old kernel
-apt-get remove linux-headers-2.6.24-19 linux-headers-2.6.24-19-generic \
-  linux-image-2.6.24-19-generic linux-restricted-modules-2.6.24-19-generic \
-  linux-restricted-modules-2.6.24-22-generic linux-ubuntu-modules-2.6.24-19-generic
-
-cd /
-dpkg-query -W --showformat='${Package} ${Version}\n' >filesystem.manifest
-
-apt-get clean
-rm -rf /tmp/*
-rm -f /etc/hosts /etc/resolv.conf
-umount /proc/
-umount /sys/
-exit
-cp sqfs/filesystem.manifest .
-rm -f sqfs/filsystem.manifest